package gmt.protocol.ais.sensor;

import gmt.protocol.ais.Position;

public class SensorGPS extends Sensors {
	private Position pos;		//!< 28 bits : Longitude in 1/10000 minute, 27 bits : Latitude in 1/10000 minute
	private int		 sog;       //!< 10 bits : Speed Over Ground
	private int		 cog;       //!< 12 bits : Course over Ground
	private int		 qulity;	//!<  2 bits : GPS Qulity Indicator
	
	public long latitude() { return this.pos.latitude(); }
	public long longitude() { return this.pos.longitude(); }
	public int  sog() { return this.sog; }
	public int  cog() { return this.cog; }
	public int  qulity() { return this.qulity; }
	
	public SensorGPS() {
		super();
		pos = new Position();
	}
	
	public void setLatitude(long raw_latitude) {
		this.pos.setLatitude(raw_latitude);
	}
	
	public void setLongitude(long raw_longitude) {
		this.pos.setLongitude(raw_longitude);
	}
	
	public void setSog(int sog) {
		this.sog = sog;
	}
	
	public void setCog(int cog) {
		this.cog = cog;
	}
	
	public void setQulity(int qulity) {
		this.qulity = qulity;
	}
}
